aiwozhe/yunpian-php-sdk

1.0.3 2020-09-28 09:43 UTC

This package is auto-updated.

Last update: 2020-09-28 09:50:34 UTC


README

云片 SDK

快速开始

  • 添加composer依赖
"require": {
        "yunpian/yunpian-php-sdk" : "~1.0"
    }

: master是最新稳定版。我们会更新到Packagist

  • 使用YunpianClient
use \Yunpian\Sdk\YunpianClient;

//初始化client,apikey作为所有请求的默认值
$clnt = YunpianClient::create($apikey);

$param = [YunpianClient::MOBILE => '18616020000',YunpianClient::TEXT => '【云片网】您的验证码是1234'];
$r = $clnt->sms()->single_send($param);
//var_dump($r);
if($r->isSucc()){
    //$r->data()
}

//账户$clnt->user() 签名$clnt->sign() 模版$clnt->tpl() 短信$clnt->sms() 语音$clnt->voice() 流量$clnt->flow() 视频短信$clnt->vsms()

: v1.0开始使用composer管理工程。不兼容之前版本,若需要可从github下载0.0.1

配置说明 (默认配置就行)

  • 默认配置文件 src/yunpian.ini
  • 构造器配置
    • YunpianClient::create($apikey);
    • YunpianClient::create($apikey,$conf);
  • apikey的优先级 函数的$param[YunpianConstant::APIKEY] > 构造器的$apikey > 构造器的$conf[YunpianConstant::YP_APIKEY] > yunpian.ini

源码说明 yunpian-php-sdk

  • 工程使用composer构造,php5.6 or higher
  • 开发API可参考单元测试 tests/Api
  • 执行单元测试 phpunit tests,安装phpunit

视频教程

使用视频教程

联系我们

云片支持 QQ

SDK开源QQ群

SDK开源QQ群

文档链接